%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitelib: %define tcl_sitelib %{_datadir}/tcl%{tcl_version}}

Summary:  Tcl commands for SOAP remote procedure calls
Name: tclsoap
Version: 1.6.7
Release: %mkrel 5
License: MIT
URL: https://tclsoap.sourceforge.net/
Group:  System/Networking
Source0:        https://download.sourceforge.net/tclsoap/TclSOAP-1.6.7.tar.gz
Patch0: tclsoap-dom3.patch
Patch1: tclsoap-fix-tests.patch
Patch2: tclsoap-1.6.7-version.patch
BuildArch: noarch
BuildRequires: tcl
Requires: tcl-tclxml

%description
Provides support for building clients and servers for the
SOAP remote procedure call protocol from Tcl. SOAP is an 
XML based RPC mechanism which provides cross-platform
cross language compatibility.

%prep
%autosetup -p1 -n %{name}%{version}
chmod a-x doc/*

%build
%configure --libdir=%{tcl_sitelib}
# Nothing to build.  Don't run 'make'

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%{tcl_sitelib}/%{name}%{version}/*
%doc CHANGES LICENSE DESCRIPTION.txt TclSOAP.ANN
%doc doc/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.6.7-5.mga10
+ Revision: 2204869
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.6.7-4.mga9
+ Revision: 1810782
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.6.7-3.mga8
+ Revision: 1508185
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.6.7-2.mga7
+ Revision: 1291752
- Mageia 7 Mass Rebuild
+ josh <josh>
- Delete obsolete patch file; does not alter build result

* Wed Oct 18 2017 josh <josh> 1.6.7-1.mga7
+ Revision: 1172678
- Group patches sensibly; use autosetup makro in spec file
+ joequant <joequant>
- tweak file list
- fix spec files
- imported package tclsoap

